Subject: RE: termcap-1.3 on gnuwin32 b. 18
From: [email-masked] (Sergey Okhapkin)

15 May 1997 15:20:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: gnu-win32 <[email-masked]>,
        "'Vassilii Khachaturov'"
	 <[email-masked]>
Encoding: 36 TEXT
Original-Sender: [email-masked]

Vassilii Khachaturov wrote:
> 
> I tried to build termcap-1.3
> I did `configure' successfully and then  `make' gave me the following:
> 
> gcc -c  -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DSTDC_HEADERS=1 
>  -DTERMCAP_FILE=\"/
> etc/termcap\" -I. -I. -g termcap.c
> gcc -c  -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DSTDC_HEADERS=1 
>  -DTERMCAP_FILE=\"/
> etc/termcap\" -I. -I. -g tparam.c
> In file included from tparam.c:29:
> e:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040  
> 4\..
> /../../../i386-cygwin32/include/string.h:55: syntax error before `('
> e:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040  
> 4\..
> /../../../i386-cygwin32/include/string.h:55: warning: conflicting types for 
> buil
> t-in function `memcpy'
> e:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040  
> 4\..
> /../../../i386-cygwin32/include/string.h:55: syntax error before `const'
> gcc: Internal compiler error: program cc1 got fatal signal 33
> make: *** [tparam.o] Error 1
> 
> Does someone have an applicable patch?
> 

Do not use text-mode mounts at all! Only binaries one. This will avoid a lot of problems.

-- 
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".